Masumi Logo

/wallet

Updates a wallet

PATCH
/wallet
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X PATCH "https://loading/./../api/v1/wallet" \  -H "Content-Type: application/json" \  -d '{    "id": "unique_cuid_v2_of_entry_to_update",    "newCollectionAddress": "collection_address"  }'
{
  "status": "success",
  "data": {
    "walletVkey": "wallet_vkey",
    "note": "note",
    "PendingTransaction": null,
    "walletAddress": "wallet_address",
    "collectionAddress": "collection_address",
    "LowBalanceSummary": {
      "isLow": true,
      "lowRuleCount": 1,
      "lastCheckedAt": "1970-01-20T20:00:36.260Z"
    },
    "LowBalanceRules": [
      {
        "id": "low_balance_rule_id",
        "assetUnit": "lovelace",
        "thresholdAmount": "5000000",
        "enabled": true,
        "status": "Low",
        "lastKnownAmount": "4200000",
        "lastCheckedAt": "1970-01-20T20:00:36.260Z",
        "lastAlertedAt": "1970-01-20T20:00:36.260Z"
      }
    ]
  }
}
Empty
Masumi Kanji